void lcd_sendc(unsigned char temp1);
void lcd_sends(char *data);
void lcd_command(unsigned char temp1);
void lcd_enable(void);
void lcd_init(void);
void lcd_home(void);
void lcd_clear(void);
void lcd_up(unsigned char temp1);
void set_cursor(uint8_t x, uint8_t y);
 
// LCD Befehle
 
#define CLEAR_DISPLAY 0x01
#define CURSOR_HOME   0x02
 
// Pinbelegung fr das LCD, an verwendete Pins anpassen
 
#ifdef __AVR_ATmega8__
	#define LCD_PORT      PORTC
	#define LCD_DDR       DDRC
	#define LCD_RS        PC4
	#define LCD_EN        PC5
#else
	#define LCD_PORT      PORTA
	#define LCD_DDR       DDRA
	#define LCD_RS        PA4
	#define LCD_EN        PA5
#endif

// falls Anschluss indevidualisiert werden soll
// entsprechende nderungen in lcd.c -> siehe Kommentare in selbiger 
/*
#define D4			2
#define D5			3
#define D6			4
#define D7			5
*/
